@charset "UTF-8";
:root {
  --main-color:#333;
  --main-complementary-color: #fff;
}

/***
    The new CSS reset - version 1.9 (last updated 19.6.2023)
    GitHub page: https://github.com/elad2412/the-new-css-reset
***/
/*
    Remove all the styles of the "User-Agent-Stylesheet", except for the 'display' property
    - The "symbol *" part is to solve Firefox SVG sprite bug
    - The "html" element is excluded, otherwise a bug in Chrome breaks the CSS hyphens property (https://github.com/elad2412/the-new-css-reset/issues/36)
 */
*:where(:not(html, iframe, canvas, img, svg, video, audio):not(svg *, symbol *)) {
  all: unset;
  display: revert;
}

/* Preferred box-sizing value */
*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

/* Reapply the pointer cursor for anchor tags */
a,
button {
  cursor: revert;
}

/* Remove list styles (bullets/numbers) */
ol,
ul,
menu {
  list-style: none;
}

/* For images to not be able to exceed their container */
img {
  max-inline-size: 100%;
  max-block-size: 100%;
}

/* removes spacing between cells in tables */
table {
  border-collapse: collapse;
}

/* Safari - solving issue when using user-select:none on the <body> text input doesn't working */
input,
textarea {
  -webkit-user-select: auto;
}

/* revert the 'white-space' property for textarea elements on Safari */
textarea {
  white-space: revert;
}

/* minimum style to allow to style meter element */
meter {
  -webkit-appearance: revert;
  -moz-appearance: revert;
       appearance: revert;
}

/* preformatted text - use only for this feature */
:where(pre) {
  all: revert;
}

/* reset default text opacity of input placeholder */
::-webkit-input-placeholder {
  color: unset;
}
::-moz-placeholder {
  color: unset;
}
:-ms-input-placeholder {
  color: unset;
}
::-ms-input-placeholder {
  color: unset;
}
::placeholder {
  color: unset;
}

/* remove default dot (•) sign */
::marker {
  content: initial;
}

/* fix the feature of 'hidden' attribute.
   display:revert; revert to element instead of attribute */
:where([hidden]) {
  display: none;
}

/* revert for bug in Chromium browsers
   - fix for the content editable attribute will work properly.
   - webkit-user-select: auto; added for Safari in case of using user-select:none on wrapper element*/
:where([contenteditable]:not([contenteditable=false])) {
  -moz-user-modify: read-write;
  -webkit-user-modify: read-write;
  overflow-wrap: break-word;
  -webkit-line-break: after-white-space;
  -webkit-user-select: auto;
}

/* apply back the draggable feature - exist only in Chromium and Safari */
:where([draggable=true]) {
  -webkit-user-drag: element;
}

/* Revert Modal native behavior */
:where(dialog:modal) {
  all: revert;
}

html {
  font-size: 62.5%;
}

body {
  background-color: #fff;
  color: var(--main-color);
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", "BIZ UDPGothic", Meiryo, sans-serif;
  font-size: 1.6rem;
  line-height: 1.4;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

a {
  color: #333;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}
@media screen and (max-width: 768px) {
  img {
    width: 100%;
  }
}

iframe[src*="youtube.com"] {
  display: block;
  margin-inline: auto;
}
@media screen and (max-width: 768px) {
  iframe[src*="youtube.com"] {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
  }
}

.l-header__inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
  padding: 20px;
}

.l-header__logo {
  width: 168.5px;
}

.l-gnav {
  min-width: 458px;
  margin-left: clamp(10px, 5vw, 145px);
}
@media screen and (max-width: 768px) {
  .l-gnav {
    display: none;
  }
}

.l-gnav__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 48px;
}

.l-kv {
  background: #333;
}

.l-kv__inner {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
  background: #999;
  color: #fff;
  min-height: 300px;
}

.l-wrap__inner {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
  padding: 40px;
}
@media screen and (max-width: 768px) {
  .l-wrap__inner {
    padding: 20px 10px 10px 10px;
  }
}

.l-contents {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 40px;
}
@media screen and (max-width: 768px) {
  .l-contents {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}

.l-main {
  max-width: 850px;
  width: 100%;
}
@media screen and (max-width: 768px) {
  .l-main {
    max-width: 100%;
  }
}

.l-archive-summary-wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  row-gap: 20px;
  -webkit-column-gap: 4%;
     -moz-column-gap: 4%;
          column-gap: 4%;
}
@media screen and (max-width: 1000px) {
  .l-archive-summary-wrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 20px;
  }
}
@media screen and (max-width: 768px) {
  .l-archive-summary-wrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 20px;
  }
}

.l-archive {
  width: 100%;
}

.l-archive-summary {
  width: 48%;
  border: 1px #333 solid;
  padding: 20px;
}
@media screen and (max-width: 1000px) {
  .l-archive-summary {
    width: 100%;
  }
}
@media screen and (max-width: 768px) {
  .l-archive-summary {
    width: 100%;
  }
}

.l-archive__time {
  color: #999;
  font-size: 1.4rem;
}

.l-archive__title {
  font-size: 2.2rem;
  font-weight: bold;
}

.l-archive__heading01 {
  font-weight: bold;
}

.l-archive__body > :where(*) {
  margin-top: 1em;
}
@media screen and (max-width: 768px) {
  .l-archive__body > :where(*) {
    font-size: 1.4rem;
  }
}

.l-aside {
  max-width: 270px;
  width: 100%;
}
@media screen and (max-width: 1000px) {
  .l-aside {
    max-width: 200px;
  }
}
@media screen and (max-width: 768px) {
  .l-aside {
    max-width: 100%;
  }
}

.l-side-search {
  padding: 20px;
  border: 1px #333 solid;
}

.l-side-search__block {
  margin-top: 20px;
}

.l-side-search__block:first-child {
  margin-top: 0;
}

.l-side-search__title {
  margin-bottom: 0.5em;
  font-weight: bold;
}

.l-side-search__body {
  padding-left: 1em;
}

.l-pagenation {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 40px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 50px;
}

.l-pagenation__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 20px;
}

.l-pagenation__list-link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 40px;
  border: 1px solid #333;
  padding-block: 10px;
}

.l-pagenation__list-coda {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 40px;
  padding-block: 10px;
}

.l-footer {
  background: #333;
  padding: 20px;
}

.l-footer__inner {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
}
.l-footer__inner *:first-child {
  margin-top: 0 !important;
}

.l-footer__sns {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 20px;
}

.l-footer__sns-item {
  width: 50px;
}

.l-footer-copyright {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 50px;
  color: #fff;
}

.c_heading-a {
  background-color: var(--main-color);
  color: var(--main-complementary-color);
  width: 100%;
  padding: 5px;
  font-weight: bold;
}
@media screen and (max-width: 768px) {
  .c_heading-a {
    font-size: 1.6rem;
  }
}

.c_heading-b {
  border-bottom: 1px solid var(--main-color);
  border-left: 3px solid var(--main-color);
  padding: 5px;
  font-weight: bold;
}
@media screen and (max-width: 768px) {
  .c_heading-b {
    font-size: 1.6rem;
  }
}

.c_heading-c {
  border-left: 3px solid var(--main-color);
  padding-left: 5px;
  font-weight: bold;
}
@media screen and (max-width: 768px) {
  .c_heading-c {
    font-size: 1.6rem;
  }
}

.mt0 {
  margin-top: 0;
}

.mt5 {
  margin-top: 5px;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
